package jesse.keeblarcraft.Utils.CommonStructures;

public class Position3d {
    public Position3d(int x, int y, int z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }

    @Override
    public boolean equals(Object obj) {
        boolean isEqual = false;
        if (this == obj) {
            isEqual = true;
        } else if (obj instanceof Position3d castedObj) {
            if (castedObj.x == this.x && castedObj.y == this.y && castedObj.z == this.z) {
                isEqual = true;
            }
        }
        return isEqual;
    }

    public int x;
    public int y;
    public int z;
}
